"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decorateCli = void 0;
const fs_1 = require("fs");
function decorateCli() {
    const path = 'node_modules/@angular/cli/lib/cli/index.js';
    const angularCLIInit = fs_1.readFileSync(path, 'utf-8').toString();
    const start = angularCLIInit.indexOf(`(options) {`) + 11;
    const end = angularCLIInit.lastIndexOf(`}`) - 2;
    const newContent = `${angularCLIInit.substr(0, start)}
  if (!process.env['NX_CLI_SET']) {
    require('@nrwl/cli/bin/nx');
    return new Promise(function(res, rej) {});
  } else {
    ${angularCLIInit.substring(start, end)}
  }
${angularCLIInit.substring(end)}
`;
    fs_1.writeFileSync(path, newContent);
}
exports.decorateCli = decorateCli;
//# sourceMappingURL=decorate-cli.js.map